CREATE TABLE locales (
	locale_id	VARCHAR(16) NOT NULL PRIMARY KEY,
	name		VARCHAR(64) NOT NULL
);

CREATE TABLE packages (
	package_id	SERIAL,
	name		VARCHAR(32) NOT NULL,
	description	TEXT
);


CREATE TABLE translators (
	translator_id	SERIAL,
	name		VARCHAR(64) NOT NULL,
	email		VARCHAR(64) NOT NULL,
	locale_id	VARCHAR(16) NOT NULL REFERENCES locales(locale_id),
	password		VARCHAR(128) NOT NULL,
	perms		VARCHAR(255)
);

CREATE TABLE translations (
	packageid_id	INT4 NOT NULL,
	translator_id	INT4 NOT NULL,
	percent_completed	INT2,
	last_update	TIMESTAMP,
	maintained	BOOLEAN DEFAULT 'T'
);
